parsec-3.1.3: Monadic parser combinators

Portability | portable
Stability | provisional
Maintainer | derek.a.elkins@gmail.com
Safe Haskell | Safe-Inferred

Text.ParserCombinators.Parsec.Expr

Description

Parsec compatibility module

Synopsis

- data Assoc
  - = AssocNone
  - | AssocLeft
  - | AssocRight
- data Operator tok st a
  - = Infix (GenParser tok st (a -> a -> a)) Assoc
  - | Prefix (GenParser tok st (a -> a))
  - | Postfix (GenParser tok st (a -> a))
- type OperatorTable tok st a = [[Operator tok st a]]
- buildExpressionParser :: OperatorTable tok st a -> GenParser tok st a -> GenParser tok st a

# Documentation

data Assoc Source

This data type specifies the associativity of operators: left, right or none.

Constructors

AssocNone |
AssocLeft |
AssocRight |

data Operator tok st a Source

Constructors

Infix (GenParser tok st (a -> a -> a)) Assoc |
Prefix (GenParser tok st (a -> a)) |
Postfix (GenParser tok st (a -> a)) |

type OperatorTable tok st a = [[Operator tok st a]]Source

buildExpressionParser :: OperatorTable tok st a -> GenParser tok st a -> GenParser tok st aSource